Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.event
Class RepeaterEventAction

    java.lang.Object
      org.apache.commons.lang.enums.Enum
          org.apache.commons.lang.enums.ValuedEnum
              org.apache.cocoon.forms.event.RepeaterEventAction

All Implemented Interfaces:
  Comparable, Serializable

public class RepeaterEventAction
extends org.apache.commons.lang.enums.ValuedEnum

Type-safe enumeration of the various repeater actions that triggers events.

Version:
  $Id: RepeaterEventAction.java 587759 2007-10-24 03:00:37Z vgritsenko $
See Also:
  Serialized Form

Field Summary
`static RepeaterEventAction` | `ROW_ADDED` This event type is triggered after a row has been added.
`static int` | `ROW_ADDED_VALUE`
`static RepeaterEventAction` | `ROW_DELETED` This event type is triggered after a row has been removed.
`static int` | `ROW_DELETED_VALUE`
`static RepeaterEventAction` | `ROW_DELETING` This event type is triggered before a row get's removed.
`static int` | `ROW_DELETING_VALUE`
`static RepeaterEventAction` | `ROWS_CLEARED` This event type is triggered after the repeater has been cleared (aka after all rows have been removed)
`static int` | `ROWS_CLEARED_VALUE`
`static RepeaterEventAction` | `ROWS_CLEARING` This event type is triggered before the repeater is cleared (aka before all rows are removed).
`static int` | `ROWS_CLEARING_VALUE`
`static RepeaterEventAction` | `ROWS_REARRANGED` This event type is triggered after the order of one or more rows has been changed.
`static int` | `ROWS_REARRANGED_VALUE`

Fields inherited from class org.apache.commons.lang.enums.Enum
`iToString`

Constructor Summary
`protected` | `RepeaterEventAction(String name, int value)`

Method Summary
`static RepeaterEventAction` | `getEnum(int value)`
`static RepeaterEventAction` | `getEnum(String name)`
`static List` | `getEnumList()`
`static Map` | `getEnumMap()`
`static Iterator` | `iterator()`

Methods inherited from class org.apache.commons.lang.enums.ValuedEnum
`compareTo, getEnum, getValue, toString`

Methods inherited from class org.apache.commons.lang.enums.Enum
`equals, getEnum, getEnumClass, getEnumList, getEnumMap, getName, hashCode, iterator, readResolve`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ROW_ADDED_VALUE

    public static final int ROW_ADDED_VALUE

See Also:
  Constant Field Values

### ROW_ADDED

    public static final RepeaterEventAction ROW_ADDED

  This event type is triggered after a row has been added.

### ROW_DELETING_VALUE

    public static final int ROW_DELETING_VALUE

See Also:
  Constant Field Values

### ROW_DELETING

    public static final RepeaterEventAction ROW_DELETING

  This event type is triggered before a row get's removed.

### ROW_DELETED_VALUE

    public static final int ROW_DELETED_VALUE

See Also:
  Constant Field Values

### ROW_DELETED

    public static final RepeaterEventAction ROW_DELETED

  This event type is triggered after a row has been removed.

### ROWS_REARRANGED_VALUE

    public static final int ROWS_REARRANGED_VALUE

See Also:
  Constant Field Values

### ROWS_REARRANGED

    public static final RepeaterEventAction ROWS_REARRANGED

  This event type is triggered after the order of one or more rows has been changed.

### ROWS_CLEARING_VALUE

    public static final int ROWS_CLEARING_VALUE

See Also:
  Constant Field Values

### ROWS_CLEARING

    public static final RepeaterEventAction ROWS_CLEARING

  This event type is triggered before the repeater is cleared (aka before all rows are removed).

### ROWS_CLEARED_VALUE

    public static final int ROWS_CLEARED_VALUE

See Also:
  Constant Field Values

### ROWS_CLEARED

    public static final RepeaterEventAction ROWS_CLEARED

  This event type is triggered after the repeater has been cleared (aka after all rows have been removed)

Constructor Detail

### RepeaterEventAction

    protected RepeaterEventAction(String name,
                                  int value)

Method Detail

### getEnum

    public static RepeaterEventAction getEnum(String name)

### getEnum

    public static RepeaterEventAction getEnum(int value)

### getEnumMap

    public static Map getEnumMap()

### getEnumList

    public static List getEnumList()

### iterator

    public static Iterator iterator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.